import { defineTable } from 'convex/server';
import { v } from 'convex/values';

export const enderecosTables = {
	enderecos: defineTable({
		cep: v.string(),
		logradouro: v.string(),
		numero: v.string(),
		complemento: v.optional(v.string()),
		bairro: v.string(),
		cidade: v.string(),
		uf: v.string(),
		criadoPor: v.optional(v.id('usuarios')),
		atualizadoPor: v.optional(v.id('usuarios'))
	}).index('by_cep', ['cep'])
};
